Support » Plugin: Shield Security: Protection with Smarter Automation » throws fatal errors after most recent update

  • Resolved eLeXeM

    (@elexem)


    Hey, Paul, Jelena & Team;
    suddenly my log monitor shows fatals connected to shield, like these :

    14:50:28 GMT+0100 (CET)
    Cannot redeclare composerRequire18a31866e67f0a0bfffdc031786ecae1() (previously declared in /wp-content/plugins/wp-simple-firewall/src/common/lib/vendor/composer/autoload_real.php:63)
    Type: PHP Fatal error Line: 70
    File: /wp-content/plugins/wp-simple-firewall/src/lib/vendor/composer/autoload_real.php

    14:50:09 GMT+0100 (CET)
    Uncaught Error: Class ‘ICWP_WPSF_Plugin_Controller’ not found in /wp-content/plugins/wp-simple-firewall/init.php:51
    Type: PHP Fatal error
    File: /wp-content/plugins/wp-simple-firewall/init.php

    14:50:08 GMT+0100 (CET)
    require_once(): Failed opening required ‘/wp-content/plugins/wp-simple-firewall/src/common/icwp-serviceproviders.php’ (include_path=’.:/opt/cpanel/ea-php71/root/usr/share/pear’)
    Type: PHP Fatal error Line: 330
    File: /wp-content/plugins/wp-simple-firewall/src/common/icwp-foundation.php

    14:50:08 GMT+0100 (CET)
    require_once(): Failed opening required ‘/wp-content/plugins/wp-simple-firewall/src/common/lib/vendor/composer/autoload_real.php’ (include_path=’.:/opt/cpanel/ea-php71/root/usr/share/pear’)
    Type: PHP Fatal error Line: 5
    File: /wp-content/plugins/wp-simple-firewall/src/common/lib/vendor/autoload.php

    You may want to cast a look, perhaps. Lemme know your findings

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author One Dollar Plugin

    (@onedollarplugin)

    The first error is unfortunately unavoidable by the way WordPress performs plugin upgrades and by there being so many file changes. But, the other errors – this looks like WordPress didn’t complete the upgrade fully and the necessary files weren’t copied. This is out of our control, however, as the upgrade is performed by WordPress itself (not Shield).

    If you’re still seeing errors, or the plugin doesn’t appear to be installed, then you may need to reinstall it again from WordPress.org. If however you’re not seeing the errors, then these are just artefacts of the upgrade process.

    hmmmkay, it seems to be running alright currently; I only forwarded this to your attention since this was the first time, Shield ran into that sort of trouble. So I guess this can be regarded as resolved, then.

    Plugin Author One Dollar Plugin

    (@onedollarplugin)

    Cool, well keep us posted. Our hope is that with the move to PHP 5.4 and above these sorts of errors will be behind us forever.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘throws fatal errors after most recent update’ is closed to new replies.